Summary:	OpenFabrics Alliance InfiniBand MAD library
Summary(pl.UTF-8):	Biblioteka OpenFabrics Alliance InfiniBand MAD
Name:		libibmad
Version:	1.3.12
Release:	2
License:	BSD or GPL v2
Group:		Libraries
Source0:	https://www.openfabrics.org/downloads/management/%{name}-%{version}.tar.gz
# Source0-md5:	7aabf50569c4d30a9a0689fd96097e4f
URL:		https://www.openfabrics.org/
BuildRequires:	libibumad-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libibmad provides low layer InfiniBand functions for use by the IB
diagnostic and management programs. These include MAD, SA, SMP, and
other basic IB functions.

%description -l pl.UTF-8
libibmad to biblioteka udostępniająca niskopoziomowe funkcje
InfiniBand przeznaczone dla programów diagnostycznych i zarządzających
IB. Obejmuje MAD, SA, SMP i inne podstawowe funkcje IB.

%package devel
Summary:	Header files for libibmad library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libibmad
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libibumad-devel

%description devel
Header files for libibmad library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libibmad.

%package static
Summary:	Static libibmad library
Summary(pl.UTF-8):	Statyczna biblioteka libibmad
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This package contains the static libibmad library.

%description static -l pl.UTF-8
Ten pakiet zawiera statyczną bibliotekę libibmad.

%prep
%setup -q

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog
%attr(755,root,root) %{_libdir}/libibmad.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libibmad.so.5

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libibmad.so
%{_libdir}/libibmad.la
%{_includedir}/infiniband/mad.h
%{_includedir}/infiniband/mad_osd.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libibmad.a
%changelog
* Wed Feb 25 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libibmad.git;a=log;h=master

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 84ad8a2
- x32 rebuild
- release 2 (by relup.sh)

* Sun Feb 15 2015 Jakub Bogusz <qboosh@pld-linux.org> a74df61
- updated to 1.3.12

* Sun Feb 02 2014 Jakub Bogusz <qboosh@pld-linux.org> efcbd43
- updated to 1.3.11

* Fri Aug 23 2013 Jakub Bogusz <qboosh@pld-linux.org> 4075ca1
- updated to 1.3.10

* Sun Jun 03 2012 Jakub Bogusz <qboosh@pld-linux.org> 256c786
- updated to 1.3.9

* Sat Sep 10 2011 Jakub Bogusz <qboosh@pld-linux.org> 464fb96
- updated to 1.3.8

* Sat Mar 12 2011 Jakub Bogusz <qboosh@pld-linux.org> 942d88f
- updated to 1.3.7

* Sat Sep 11 2010 Jakub Bogusz <qboosh@pld-linux.org> a397e83
- new

